Debian Security Advisory

DSA-360-1 xfstt -- several vulnerabilities

Date Reported:
01 Aug 2003
Affected Packages:
Security database references:
In the Bugtraq database (at SecurityFocus): BugTraq ID 8182, BugTraq ID 8255.
In Mitre's CVE dictionary: CVE-2003-0581, CVE-2003-0625.
More information:

xfstt, a TrueType font server for the X window system was found to contain two classes of vulnerabilities:

CAN-2003-0581: a remote attacker could send requests crafted to trigger any of several buffer overruns, causing a denial of service or possibly executing arbitrary code on the server with the privileges of the "nobody" user.

CAN-2003-0625: certain invalid data sent during the connection handshake could allow a remote attacker to read certain regions of memory belonging to the xfstt process. This information could be used for fingerprinting, or to aid in exploitation of a different vulnerability.

For the current stable distribution (woody) these problems have been fixed in version 1.2.1-3.

For the unstable distribution (sid), CAN-2003-0581 is fixed in xfstt 1.5-1, and CAN-2003-0625 will be fixed soon.

We recommend that you update your xfstt package.

Fixed in:

Debian GNU/Linux 3.0 (woody)

Intel IA-32:
Intel IA-64:
Motorola 680x0:
Big endian MIPS:
Little endian MIPS:
IBM S/390:
Sun Sparc:

MD5 checksums of the listed files are available in the original advisory.